// 使用位运算符实现以下条件：将一个数的二进制表示中从第 n 位（从右往左数）开始的 m 位翻转。
#include <iostream>
#include <bitset>

using namespace std;

int main()
{
    int x;
    cout << "请输入一个整数: ";
    cin >> x;
    cout << "原来的二进制表示为: " << bitset<32>(x) << endl;

    int n, m;
    cout << "请输入要翻转的起始位: ";
    cin >> n;
    cout << "请输入要翻转的位数: ";
    cin >> m;

    while (m--)
    {
        x ^= (1 << n);
        n++;
    }
    cout << "翻转后的二进制表示为: " << bitset<32>(x) << endl;

    return 0;
}